View Issue Details

IDProjectCategoryView StatusLast Update
0032622Open CASCADEOCCT:DRAWpublic2021-10-16 11:46
Reporterkgv Assigned Tosmoskvin  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version7.6.0 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032622: Draw Harness - writebrep "-version 3" is unrecognized
DescriptionAttempt to write .brep file using the latest version explicitly fails with error "Syntax error: unknown format version".
Steps To Reproduce
pload MODELING
box b 1 1 1
writebrep b -version 3 b.brep
writebrep b -version 4 -binary b.bin

Result:
Syntax error: unknown format version
TagsNo tags attached.
Test case numberN/A

Relationships

child of 0031136 closedbugmaster Modeling Data - BinXCAF persistence loses normals from triangulation-only Faces 

Activities

git

2021-10-13 21:53

administrator   ~0104625

Branch CR32622 has been created by kgv.

SHA-1: ea00402503b250a67b939b5d8187a30c95fed7a7


Detailed log of new commits:

Author: kgv
Date: Wed Oct 13 21:53:32 2021 +0300

    0032622: Draw Harness - writebrep "-version 3" is unrecognized
    
    Fixed version range check.
    Added description of -normals argument.

git

2021-10-13 22:16

administrator   ~0104627

Branch CR32622 has been updated forcibly by kgv.

SHA-1: 1c784f1a671a01dc31ad084aaf09133b459d4dfe

kgv

2021-10-14 05:43

developer   ~0104628

Patch is ready for review
- OCCT: branch CR32622.

osa

2021-10-14 09:13

developer   ~0104629

The patch was reviewed without remarks

smoskvin

2021-10-16 10:04

administrator   ~0104663

Combination -
OCCT branch : IR-2021-10-15
master SHA - 475da0f1352e60eebf1432cf136042444c7c5488
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-10-15 SHA - bd88028c52a28c63c191e235d0af754d59b66c81
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17699.720000000394 / 17936.010000000137 [-1.32%]
Products
Total CPU difference: 11665.880000000112 / 11621.340000000107 [+0.38%]
Windows-64-VC14:
OCCT
Total CPU difference: 19656.34375 / 19690.109375 [-0.17%]
Products
Total CPU difference: 12872.390625 / 12807.375 [+0.51%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-10-16 11:46

administrator   ~0104685

Branch CR32622 has been deleted by mnt.

SHA-1: 1c784f1a671a01dc31ad084aaf09133b459d4dfe

Related Changesets

occt: master c1638a8d

2021-10-13 18:53:32

kgv


Committer: smoskvin Details Diff
0032622: Draw Harness - writebrep "-version 3" is unrecognized

Fixed version range check.
Added description of -normals argument.
Affected Issues
0032622
mod - src/DBRep/DBRep.cxx Diff File
mod - src/DDocStd/DDocStd_ApplicationCommands.cxx Diff File

Issue History

Date Modified Username Field Change
2021-10-13 21:15 kgv New Issue
2021-10-13 21:15 kgv Assigned To => kgv
2021-10-13 21:22 kgv Relationship added child of 0031136
2021-10-13 21:53 git Note Added: 0104625
2021-10-13 22:16 git Note Added: 0104627
2021-10-14 05:43 kgv Test case number => N/A
2021-10-14 05:43 kgv Note Added: 0104628
2021-10-14 05:43 kgv Assigned To kgv => osa
2021-10-14 05:43 kgv Status new => resolved
2021-10-14 09:13 osa Note Added: 0104629
2021-10-14 09:13 osa Assigned To osa => bugmaster
2021-10-14 09:13 osa Status resolved => reviewed
2021-10-16 10:04 smoskvin Note Added: 0104663
2021-10-16 10:04 smoskvin Status reviewed => tested
2021-10-16 11:13 smoskvin Changeset attached => occt master c1638a8d
2021-10-16 11:13 smoskvin Assigned To bugmaster => smoskvin
2021-10-16 11:13 smoskvin Status tested => verified
2021-10-16 11:13 smoskvin Resolution open => fixed
2021-10-16 11:46 git Note Added: 0104685